package com.develop.base.mvvm

import android.os.Bundle
import androidx.viewbinding.ViewBinding

abstract class BaseBVMFragment<VB : ViewBinding, VM : BaseViewModel> : BaseBindingFragment<VB>() {

    protected lateinit var viewModel: VM

    abstract fun createViewModel(): VM

    override fun onPostCreateView() {
        super.onPostCreateView()
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        viewModel = createViewModel()
    }

}